%define	DATE	20010228
%define	LANG	nl
%define format  html-nl
%define format2 HTML/nl


Summary:	HOWTO documents (html format) from the Linux Documentation Project
Name:		howto-%{format}
Version:	8.0
Release: 2mdk
Group:		Books/Howtos

Source0:	all-howtos-html.tar.bz2
Source1:	howto-html-%{LANG} 
Source2:	howto.xpm.bz2
Source3:	lhowto.xpm.bz2
Source4:	mhowto.xpm.bz2
Url:		http://nl.linux.org/doc/nlhowto.php
Copyright:	GPL
BuildRoot:	%{_tmppath}/howto-%{format}-root
BuildArchitectures: noarch
Obsoletes:	ldp, howto-%{format}
BuildRequires:  howto-utils
Requires:	locales-nl, webclient, mandrake_desk > 1.0.3-7mdk
Requires:	howto-utils

%description
Linux HOWTOs in Dutch 
documents are located at http://nl.linux.org/doc/nlhowto.php
and ftp://fjordland.nl.linux.org/pub/HOWTO-NL/all-howtos-html.tar.gz
%prep 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}
cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}
bzcat %{SOURCE0} | tar xv

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir} 
mv html/* .;rmdir html
(cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}; makehowtoindex Dutch; perl -p -i -e "s|<LI><A HREF=\"Bootdisk-HOWTO-NL.html\">De Linux Bootdisk HOWTO</A>|<LI><A HREF=\"Bootdisk-HOWTO-NL.html\">De Linux Bootdisk HOWTO</A>\n<LI><A HREF=\"Bootdisk/t1.html\">De Linux Bootdisk HOWTO</A>|" index.html)
# this perl line is needed to include the Bootdisk-howto which is in a directory with strange file names. 
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_miconsdir}/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_iconsdir}/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_liconsdir}/howto.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/HOWTO/%{format2}
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Fri Mar  9 2001 Etienne Faure  <etienne@mandrakesoft.com> 8.0-2mdk
- Small fixes 
- Include Bootdisk howto

* Wed Feb 28 2001 Andre van Blokland <ablokland@go.com> 8.0-1
- First Dutch Howto using English and French spec-files

